gdcm::Curve Class Reference

Curve class to handle element 50xx,3000 Curve Data. More...

`#include <gdcmCurve.h>`

Inheritance diagram for gdcm::Curve:
[legend]
Collaboration diagram for gdcm::Curve:
[legend]

## Public Member Functions

| Curve ()
| Curve (Curve const &ov)
| ~Curve () override
void | Decode (std::istream &is, std::ostream &os)
void | GetAsPoints (float *array) const
std::vector< unsigned short > const & | GetCurveDataDescriptor () const
unsigned short | GetDataValueRepresentation () const
unsigned short | GetDimensions () const
unsigned short | GetGroup () const
unsigned short | GetNumberOfPoints () const
const char * | GetTypeOfData () const
const char * | GetTypeOfDataDescription () const
bool | IsEmpty () const
void | Print (std::ostream &) const override
void | SetCoordinateStartValue (unsigned short v)
void | SetCoordinateStepValue (unsigned short v)
void | SetCurve (const char *array, unsigned int length)
void | SetCurveDataDescriptor (const uint16_t *values, size_t num)
void | SetCurveDescription (const char *curvedescription)
void | SetDataValueRepresentation (unsigned short datavaluerepresentation)
void | SetDimensions (unsigned short dimensions)
void | SetGroup (unsigned short group)
void | SetNumberOfPoints (unsigned short numberofpoints)
void | SetTypeOfData (const char *typeofdata)
void | Update (const DataElement &de)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Static Public Member Functions

static unsigned int | GetNumberOfCurves (DataSet const &ds)

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

Curve class to handle element 50xx,3000 Curve Data.

WARNING: This is deprecated and lastly defined in PS 3.3 - 2004

Examples:

- GE_DLX-8-MONO2-Multiframe-Jpeg_Lossless.dcm
- GE_DLX-8-MONO2-Multiframe.dcm
- gdcmSampleData/Philips_Medical_Images/integris_HV_5000/xa_integris.dcm
- TOSHIBA-CurveData[1-3].dcm

## Constructor & Destructor Documentation

## Curve() [1/2]

gdcm::Curve::Curve | ( |  | ) |

Referenced by Curve().

## ~Curve()

gdcm::Curve::~Curve | ( |  | ) |

override

## Curve() [2/2]

gdcm::Curve::Curve | ( | Curve const & | ov | ) |

References Curve().

## Member Function Documentation

## Decode()

void gdcm::Curve::Decode | ( | std::istream & | is,
|  | std::ostream & | os )

## GetAsPoints()

void gdcm::Curve::GetAsPoints | ( | float * | array | ) | const

## GetCurveDataDescriptor()

std::vector< unsigned short > const & gdcm::Curve::GetCurveDataDescriptor | ( |  | ) | const

## GetDataValueRepresentation()

unsigned short gdcm::Curve::GetDataValueRepresentation | ( |  | ) | const

## GetDimensions()

unsigned short gdcm::Curve::GetDimensions | ( |  | ) | const

## GetGroup()

unsigned short gdcm::Curve::GetGroup | ( |  | ) | const

## GetNumberOfCurves()

unsigned int gdcm::Curve::GetNumberOfCurves | ( | DataSet const & | ds | ) |

static

## GetNumberOfPoints()

unsigned short gdcm::Curve::GetNumberOfPoints | ( |  | ) | const

## GetTypeOfData()

const char * gdcm::Curve::GetTypeOfData | ( |  | ) | const

## GetTypeOfDataDescription()

const char * gdcm::Curve::GetTypeOfDataDescription | ( |  | ) | const

## IsEmpty()

bool gdcm::Curve::IsEmpty | ( |  | ) | const

## Print()

void gdcm::Curve::Print | ( | std::ostream & |  | ) | const

override virtual

Reimplemented from gdcm::Object.

## SetCoordinateStartValue()

void gdcm::Curve::SetCoordinateStartValue | ( | unsigned short | v | ) |

## SetCoordinateStepValue()

void gdcm::Curve::SetCoordinateStepValue | ( | unsigned short | v | ) |

## SetCurve()

void gdcm::Curve::SetCurve | ( | const char * | array,
|  | unsigned int | length )

## SetCurveDataDescriptor()

void gdcm::Curve::SetCurveDataDescriptor | ( | const uint16_t * | values,
|  | size_t | num )

## SetCurveDescription()

void gdcm::Curve::SetCurveDescription | ( | const char * | curvedescription | ) |

## SetDataValueRepresentation()

void gdcm::Curve::SetDataValueRepresentation | ( | unsigned short | datavaluerepresentation | ) |

## SetDimensions()

void gdcm::Curve::SetDimensions | ( | unsigned short | dimensions | ) |

## SetGroup()

void gdcm::Curve::SetGroup | ( | unsigned short | group | ) |

## SetNumberOfPoints()

void gdcm::Curve::SetNumberOfPoints | ( | unsigned short | numberofpoints | ) |

## SetTypeOfData()

void gdcm::Curve::SetTypeOfData | ( | const char * | typeofdata | ) |

## Update()

void gdcm::Curve::Update | ( | const DataElement & | de | ) |

The documentation for this class was generated from the following file:

- gdcmCurve.h